#!/usr/bin/python3

# setup, all as user:
#   $ pip install selenium
#   $ wget https://github.com/mozilla/geckodriver/releases/download/v0.32.2/geckodriver-v0.32.2-linux64.tar.gz
#   $ tar xzfv geckodriver-v0.32.2-linux64.tar.gz
#   $ mkdir -p /home/chris/.cache/selenium/geckodriver/linux64/0.32.2
#   $ mv geckodriver /home/chris/.cache/selenium/geckodriver/linux64/0.32.2/geckodriver

# selenium 4
from selenium import webdriver
from selenium.webdriver.firefox.service import Service as FirefoxService

from selenium.webdriver.support.relative_locator import locate_with
from selenium.webdriver.common.by import By

from selenium.webdriver.firefox.service import Service
from selenium import webdriver

import time

def fetch_tepco():
	# service = Service(executable_path="/home/chris/.cache/selenium/geckodriver/linux64/0.32.0/geckodriver")
	service = Service(executable_path="/home/chris/.cache/selenium/geckodriver/linux64/0.32.2/geckodriver")
	driver = webdriver.Firefox(service=service)
	
	driver.get("https://www.app.kurashi.tepco.co.jp/")
	
	driver.implicitly_wait(3.0)
	
	title = driver.title
	print(title)
	time.sleep(3)
	
	email_box = driver.find_element(by=By.ID, value="username")
	email_box.send_keys("<tepco-user>")
	time.sleep(3)
	
	password_box = driver.find_element(by=By.ID, value="password")
	password_box.send_keys("<tepco-password")
	time.sleep(3)
	
	login_button = driver.find_element(by=By.NAME, value="action")
	login_button.click()

fetch_tepco()
